#include <bits/stdc++.h>
#define ll long long

using namespace std;

void A(){
}

void G(){
    string s;
    cin>>s;
    reverse(s.begin(),s.end());
    if(s[0]=='0'){
        s.erase(s.begin()+0);
    }
    if(s[s.size()-1]=='0'){
        s.erase(s.begin()+s.size()-1);
    }
    for(int i=0;i<s.size();i++){
        if(s[i]=='2')s[i]='5';
        else if(s[i]=='5')s[i]='2';
    }
    cout<<s;
}
int main()
{
    G();
    return 0;
}
